# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vlut::Applet Class Reference

The Applet class is an utilitly UIEventListener that features a ghost manipulator, trackball manipulator, an FPS counter and a simple rendering pipeline. More...

`#include <Applet.hpp>`

Inheritance diagram for vlut::Applet:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
| Applet ()
| ~Applet ()
void | initialize ()
virtual void | openglContextBoundEvent (vl::OpenGLContext *openglContext)
void | keyReleaseEvent (unsigned short, vl::EKey key)
virtual void | destroyEvent ()
void | runEvent ()
void | resizeEvent (int w, int h)
vl::SceneManagerActorTree * | sceneManager ()
const vl::SceneManagerActorTree * | sceneManager () const
vl::GhostCameraManipulator * | ghostCamera ()
vl::TrackballManipulator * | trackball ()
double | fps () const
virtual void | run ()=0
virtual void | initEvent ()=0
virtual void | shutdown ()=0
## Protected Member Functions
void | bindManipulators (vl::Rendering *rendering)
## Protected Attributes
vl::ref < vl::GhostCameraManipulator > | mFly
vl::ref< vl::TrackballManipulator > | mTrackball
vl::ref < vl::SceneManagerActorTree > | mSceneManagerActorTree
int | mFrameCount
double | mStartTime
double | mFPS

## Detailed Description

The Applet class is an utilitly UIEventListener that features a ghost manipulator, trackball manipulator, an FPS counter and a simple rendering pipeline.

## Constructor & Destructor Documentation

Applet::Applet | ( |  | ) |

vlut::Applet::~Applet | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vlut::Applet::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::UIEventListener.

void Applet::initialize | ( |  | ) |

void Applet::openglContextBoundEvent | ( | vl::OpenGLContext * | openglContext | ) | `[virtual]`

Reimplemented from vl::UIEventListener.

void Applet::keyReleaseEvent | ( | unsigned | short,
|  | vl::EKey | key |
| ) |  |  | `[virtual]`

Reimplemented from vl::UIEventListener.

void Applet::destroyEvent | ( |  | ) | `[virtual]`

Reimplemented from vl::UIEventListener.

void Applet::runEvent | ( |  | ) | `[virtual]`

Reimplemented from vl::UIEventListener.

void Applet::resizeEvent | ( | int | w,
|  | int | h |
| ) |  |  | `[virtual]`

Reimplemented from vl::UIEventListener.

vl::SceneManagerActorTree* vlut::Applet::sceneManager | ( |  | ) | `[inline]`

const vl::SceneManagerActorTree* vlut::Applet::sceneManager | ( |  | ) | const`[inline]`

vl::GhostCameraManipulator* vlut::Applet::ghostCamera | ( |  | ) | `[inline]`

vl::TrackballManipulator* vlut::Applet::trackball | ( |  | ) | `[inline]`

double vlut::Applet::fps | ( |  | ) | const`[inline]`

virtual void vlut::Applet::run | ( |  | ) | `[pure virtual]`

virtual void vlut::Applet::initEvent | ( |  | ) | `[pure virtual]`

Reimplemented from vl::UIEventListener.

virtual void vlut::Applet::shutdown | ( |  | ) | `[pure virtual]`

void Applet::bindManipulators | ( | vl::Rendering * | rendering | ) | `[protected]`

## Member Data Documentation

vl::ref<vl::GhostCameraManipulator> vlut::Applet::mFly`[protected]`

vl::ref<vl::TrackballManipulator> vlut::Applet::mTrackball`[protected]`

vl::ref<vl::SceneManagerActorTree> vlut::Applet::mSceneManagerActorTree`[protected]`

int vlut::Applet::mFrameCount`[protected]`

double vlut::Applet::mStartTime`[protected]`

double vlut::Applet::mFPS`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlut/Applet.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlut/Applet.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:19 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.